Issue 12313 - Fill handle double-click
Fill handle double-click
Status: CLOSED FIXED
Product: Calc
Classification: Application
Component: ui
OOo 1.0.2
All All
: P3 trivial with 4 votes (vote)
: ---
Assigned To: frank
issues@sc
:
: 15600 19386 23018 23100 (view as issue list)
Depends on:
Blocks: 15522
  Show dependency treegraph
 
Reported: 2003-03-13 14:41 UTC by magrawal
Modified: 2013-08-07 15:15 UTC (History)
4 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Proposed patch for SRC680_m44 (4.61 KB, patch)
2004-08-31 02:55 UTC, kyoshida
no flags Details | Diff
Back-ported to OpenOffice_1_1_3 (4.68 KB, patch)
2004-10-07 02:39 UTC, kyoshida
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description magrawal 2003-03-13 14:41:11 UTC
In most spreadsheets, adjacent columns simple fill in rows sequentially until 
the last row that is filled in the previous column. I noticed that Excel has a 
very useful feature to exploit this fact to make it easy to enter large amounts 
of data using the fill handle instead of copy-paste. If you double-click on the 
fill-handle (the plus sign at the bottom right corner of the last cell in the 
selected range), the sequence in the data in the selected range is copied till 
the last row for which data is entered in the previous column.




Starofice should also have this feature.
Comment 1 magrawal 2003-04-11 18:17:13 UTC
The reason I upgraded this issue is that it should be easy to add the 
functionality and I think it is super-useful. I am creating a 
spreadsheet with 10000 rows of similar data. The double-click option 
will save my life.




I hate it but for this task I am going to use Excel because I can 
finish my job very quickly by simply filling in the cells by 
double-clicking the first row in each column.
Comment 2 frank 2003-04-14 10:02:16 UTC
Hi,

Prio1 for a feature is impossible. Prio1 means an application is
completly broken and this can't be the case for a feature request.

I corrected this.

Hi Bettina,

1 4 u.

Frank
Comment 3 frank 2003-09-10 14:10:16 UTC
*** Issue 19386 has been marked as a duplicate of this issue. ***
Comment 4 frank 2003-12-01 10:54:24 UTC
*** Issue 23018 has been marked as a duplicate of this issue. ***
Comment 5 ipip 2003-12-03 21:57:17 UTC
This is also very important for me. I also work with long rows of
thousands of cells and this function is crucial for my work. 

I really hope you will take care of it ASAP.

Thak you very much.

Comment 6 frank 2003-12-05 12:03:39 UTC
*** Issue 23100 has been marked as a duplicate of this issue. ***
Comment 7 frank 2004-01-09 11:56:08 UTC
*** Issue 23973 has been marked as a duplicate of this issue. ***
Comment 8 niklas.nebel 2004-01-30 10:39:55 UTC
*** Issue 15600 has been marked as a duplicate of this issue. ***
Comment 9 ipip 2004-04-30 16:50:40 UTC
What is going on with this? Gnumeric has this feature, I think OO should have it
too. I have really big databases, and because of that. I can't work with
OpenOffice Calc.

I think it's must have feature for OOo 2.0, especially if OOo 2.0 has more rows.
Comment 10 yosicale 2004-08-06 15:49:49 UTC
I work with large data files, usually with EXCEL. A very useful tool which I
miss in OO is the Fill handle double-click. With this tool I can double-click on
the lower corner of a cell to extend the operation (instead of dragging)
parallel to an adjacent coloumn.
This is one of the missing features that prevents me from moving to OO. 
Hope you can fix it soon.
Comment 11 kyoshida 2004-08-18 05:33:46 UTC
I would like to look into this issue.  Will post a patch when one becomes available.

Kohei
Comment 12 kyoshida 2004-08-18 05:35:29 UTC
The effort thus begins...
Comment 13 kyoshida 2004-08-31 02:55:06 UTC
Created attachment 17445 [details]
Proposed patch for SRC680_m44
Comment 14 kyoshida 2004-08-31 03:19:49 UTC
My preliminary test on this patch showed no apparent regression.  Internally,
the action of double-clicking invokes the algorithm for Autofill, so the new
code is kept to minimum, I hope.

I tried to stey as close to the MS Excel behavior as possible, but there are two
differences that this patch does not address.

1. It considers an empty cell with note as a non-empty cell, so it behaves as
such.  This is more of Calc's personality, so I don't want to change it (or it
should be considered a separate issue).

2. It doesn't show any warning message even when the area to be filled includes
a merged cell.  First of all, I don't know if that's a defect, and second of
all, even if it is, I should probably leave that issue to Autofill, since the
double-click fill simply follows Autofill's behavior.

kohei->sc team: Your evaluation of this patch will be highly appreciated. :-)

Kohei
Comment 15 frank 2004-08-31 08:54:18 UTC
Hi Niklas,

please have a look at the Patch provided by Kohei.

Frank
Comment 16 bettina.haberer 2004-08-31 09:46:08 UTC
Hi Frank, as you should know, please don't assign issues away from my owner.
Comment 17 bettina.haberer 2004-08-31 15:16:22 UTC
As we spoke about, this is now yours Niklas.
Comment 18 niklas.nebel 2004-09-02 09:46:02 UTC
There's a bit of a conflict here between the handling of feature/enhancement
issues and that of patches.

Handling this as a patch now: Yes, it looks good. I've committed it to the child
workspace "calc21".
Comment 19 niklas.nebel 2004-09-09 09:25:50 UTC
reopening to reassign
Comment 20 niklas.nebel 2004-09-09 09:26:44 UTC
reassigning to QA for verification
Comment 21 frank 2004-09-10 15:53:47 UTC
set fixed
Comment 22 frank 2004-09-10 15:55:10 UTC
and verified on cws calc21 using Linux, Solaris and Windows
Comment 23 kyoshida 2004-10-07 02:39:07 UTC
Created attachment 18190 [details]
Back-ported to OpenOffice_1_1_3
Comment 24 frank 2004-10-07 07:53:33 UTC
Hi Kohei,

please open a new Issue and attach your patch to this, as OOo1.1.3 is currently
available, the target should be OOo1.1.4.

Frank
Comment 25 kyoshida 2004-10-07 14:22:41 UTC
Issue i35124 created to handle the back-ported patch.

Kohei
Comment 26 frank 2004-11-23 12:29:35 UTC
Found fixed on Master src680m62 using Linux, Solaris and Windows Build
Comment 27 Uwe Fischer 2005-02-21 08:25:29 UTC
Documented in text\scalc\guide\calc_series.xhp
Thanks for finally notifying the doc department
Comment 28 biolisypal 2010-11-10 15:43:09 UTC
Created attachment 72984